var args = require(__dirname + '/test/testArgs');

args.prefix = 'experiments';

var redis = args.redis;
var cleanup = function (cb, force) {
      if ( ! force && args.noCleanup === true)
        return cb();
      redis.keys(args.prefix + ':*', function (err, keys) {
        if (!keys || keys.length == 0) {
          return cb();
        }
        for(var i = 0, len = keys.length, k = 0; i < len; i++) {
          redis.del(keys[i], function () {
            k = k+1;
            if (k === len) {
              cb();
            }
          });
        }
      });
    };
    
var end = function () {
  cleanup(function () {
    process.exit(0);
  });
}
    
var Nohm = require(__dirname+'/lib/nohm').Nohm;
Nohm.setPrefix(args.prefix);
Nohm.meta = args.setMeta;
Nohm.setClient(redis);

console.log('starting experiments');
cleanup(function () {
  
  var prefix = 'bob';
  var counter = 200;
  var step = 50;
  var custom = Nohm.model('customIdModel', {
    properties: {
      name: {
        type: 'string',
        defaultValue: 'tom',
        validations: [
          'notEmpty'
        ]
      }
    },
    idGenerator: function (cb) {
      counter += step;
      cb(prefix+counter);
    }
  });
  
  custom.save(function () {
    console.dir(this.id);
    
  custom.save(function () {
    console.dir(this.id);
    
  custom.save(function () {
    console.dir(this.id);
  });
  });
  });

}, true);